| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Read/Write of Primitive Data Types (AVR8)
Read/Write of Primitive Data Types

Pipe primitive data read/write definitions for the Atmel AVR8 architecture. More...

## Functions
static void | Pipe_Discard_16 (void) ATTR_ALWAYS_INLINE
static void | Pipe_Discard_32 (void) ATTR_ALWAYS_INLINE
static void | Pipe_Discard_8 (void) ATTR_ALWAYS_INLINE
static uint16_t | Pipe_Read_16_BE (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
static uint16_t | Pipe_Read_16_LE (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
static uint32_t | Pipe_Read_32_BE (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
static uint32_t | Pipe_Read_32_LE (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
static uint8_t | Pipe_Read_8 (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
static void | Pipe_Write_16_BE (const uint16_t Data) ATTR_ALWAYS_INLINE
static void | Pipe_Write_16_LE (const uint16_t Data) ATTR_ALWAYS_INLINE
static void | Pipe_Write_32_BE (const uint32_t Data) ATTR_ALWAYS_INLINE
static void | Pipe_Write_32_LE (const uint32_t Data) ATTR_ALWAYS_INLINE
static void | Pipe_Write_8 (const uint8_t Data) ATTR_ALWAYS_INLINE

## Detailed Description

Functions, macros, variables, enums and types related to data reading and writing of primitive data types from and to pipes.

## Function Documentation

static void Pipe_Discard_16 | ( | void |  | ) |
| inline static

Discards two bytes from the currently selected pipe's bank, for OUT direction pipes.

static void Pipe_Discard_32 | ( | void |  | ) |
| inline static

Discards four bytes from the currently selected pipe's bank, for OUT direction pipes.

static void Pipe_Discard_8 | ( | void |  | ) |
| inline static

Discards one byte from the currently selected pipe's bank, for OUT direction pipes.

static uint16_t Pipe_Read_16_BE | ( | void |  | ) |
| inline static

Reads two bytes from the currently selected pipe's bank in big endian format, for OUT direction pipes.

Returns
  Next two bytes in the currently selected pipe's FIFO buffer.

static uint16_t Pipe_Read_16_LE | ( | void |  | ) |
| inline static

Reads two bytes from the currently selected pipe's bank in little endian format, for OUT direction pipes.

Returns
  Next two bytes in the currently selected pipe's FIFO buffer.

static uint32_t Pipe_Read_32_BE | ( | void |  | ) |
| inline static

Reads four bytes from the currently selected pipe's bank in big endian format, for OUT direction pipes.

Returns
  Next four bytes in the currently selected pipe's FIFO buffer.

static uint32_t Pipe_Read_32_LE | ( | void |  | ) |
| inline static

Reads four bytes from the currently selected pipe's bank in little endian format, for OUT direction pipes.

Returns
  Next four bytes in the currently selected pipe's FIFO buffer.

static uint8_t Pipe_Read_8 | ( | void |  | ) |
| inline static

Reads one byte from the currently selected pipe's bank, for OUT direction pipes.

Returns
  Next byte in the currently selected pipe's FIFO buffer.

static void Pipe_Write_16_BE | ( | const uint16_t | Data | ) |
| inline static

Writes two bytes to the currently selected pipe's bank in big endian format, for IN direction pipes.

Parameters

  [in] | Data | Data to write to the currently selected pipe's FIFO buffer.

static void Pipe_Write_16_LE | ( | const uint16_t | Data | ) |
| inline static

Writes two bytes to the currently selected pipe's bank in little endian format, for IN direction pipes.

Parameters

  [in] | Data | Data to write to the currently selected pipe's FIFO buffer.

static void Pipe_Write_32_BE | ( | const uint32_t | Data | ) |
| inline static

Writes four bytes to the currently selected pipe's bank in big endian format, for IN direction pipes.

Parameters

  [in] | Data | Data to write to the currently selected pipe's FIFO buffer.

static void Pipe_Write_32_LE | ( | const uint32_t | Data | ) |
| inline static

Writes four bytes to the currently selected pipe's bank in little endian format, for IN direction pipes.

Parameters

  [in] | Data | Data to write to the currently selected pipe's FIFO buffer.

static void Pipe_Write_8 | ( | const uint8_t | Data | ) |
| inline static

Writes one byte to the currently selected pipe's bank, for IN direction pipes.

Parameters

  [in] | Data | Data to write into the the currently selected pipe's FIFO buffer.